const Animation = require('Animation');
const Scene = require('Scene');
const FaceTracking = require('FaceTracking');

const blueSquare = Scene.root.find('plane0');

// Animate the Face Mesh's vertical scale according to the mouth openness
const mouthOpennessDriver = Animation.valueDriver(FaceTracking.face(0).mouth.openness, 0.1, 0.6);
const linearSampler = Animation.samplers.linear(1, 2);
const scaleAnimation = Animation.animate(mouthOpennessDriver, linearSampler);

blueSquare.transform.scaleY = scaleAnimation;

// Animate the Face Mesh's horizontal position continuously
const timeDriver = Animation.timeDriver({durationMilliseconds: 1500, loopCount: Infinity, mirror: true});
const quadraticSampler = Animation.samplers.easeInOutQuad(-0.1, 0.1);
const translationAnimation = Animation.animate(timeDriver, quadraticSampler);

blueSquare.transform.x = translationAnimation;
timeDriver.start(); // TimeDriver-based animations need to be started explicitly.
